//
//  HistoricView.swift
//  DouShouQi_App
//
//  Created by Rémi REGNAULT on 21/05/2024.
//

import SwiftUI
#if DEBUG
import DouShouQiModel
#endif

struct HistoricView: View {
    
    // GameVMs
    var historicVM: HistoricVM
    
    var body: some View {
        VStack {
            TitlePageFrame(Text: "Historic", ImageWidth: 200, ImageHeight: 200)
            
            VStack {
                List(historicVM.gameVMs) { gameVM in
                    GameResumeFrame(gameVM: gameVM)
                }
            }
            .padding(.horizontal, 10)
            
            Spacer()
                
        }
    }
}

struct HistoricView_Previews: PreviewProvider {
    static var previews: some View {
        HistoricView(historicVM: HistoricVM())
    }
}
